package fibo;

public class VerifyFibo {

    public static final String GIVE_NUMBER = " Podaj numer. ";
    public static final String IMPR_NUMBER = " Nieprawidłowy numer. ";

    private VerifyFibo() {
    }

    public static String isFibo(String fibo) {
        if (fibo == null || fibo.length() == 0) {
            return GIVE_NUMBER;
        }
        if (Long.parseLong(fibo) < 0 || Long.parseLong(fibo) > 100000L) {
            return IMPR_NUMBER;
        }
        return "";
    }

}
